# Gimp.Drawable.fill

    @accepts(Gimp.Drawable, Gimp.FillType)
    @returns(bool)
    def fill(self, fill_type):
        # Python wrapper for gimp_drawable_fill()

Fill the drawable with the specified fill mode.

This procedure fills the drawable. If the fill mode is foreground the current foreground color is used. If the fill mode is background, the current background color is used. If the fill type is white, then white is used. Transparent fill only affects layers with an alpha channel, in which case the alpha channel is set to transparent. If the drawable has no alpha channel, it is filled to white. No fill leaves the drawable's contents undefined. This procedure is unlike Gimp.Drawable.edit_fill or the bucket fill tool because it fills regardless of a selection. Its main purpose is to fill a newly created drawable before adding it to the image. This operation cannot be undone.

self

  The drawable.

fill_type

  The type of fill.

Returns